Subject: bug#27584: 26.0.50; alist-get: Add optional arg TESTFN

From: Tino Calancha <[email-masked]>
Date: Fri, 7 Jul 2017 17:22:40 +0900 (JST)

On Fri, 7 Jul 2017, Nicolas Petton wrote:

> Tino Calancha <[email-masked]> writes:
>
>>> But wouldn't it be better if `assoc' took an optional testfn?  I'm not
>>> sure I like the `full' parameter in `assoc-default', and I think the
>>> inconsistency of the return values between `assoc' and `assoc-default'
>>> is already confusing.
>
>> In fact, that would kill 2 birds in a shot.
>
> I don't understand what you mean.  Would it be a good thing to
> kill these 2 birds? :-D
It depends if you like to eat birds.  They are lighther than beef.